import { createWalletEvents } from "../common/WalletEvent";
import { singleton } from "../decorator/singleton.decorator";

@singleton
export class WalletEnv {
  public token: string;
  public address: string;
  public key: string;
  public salt: string;

  public handler = createWalletEvents();

  public get tokenData(): any {
    if (!this.token) {
      return {};
    }
    let datas = this.token.split(".");
    if (datas.length < 2) {
      return {};
    }
    return JSON.parse(window.atob(datas[1]));
  }
}
