import { records } from '../api/RecordApi';
import { singleton } from '../decorator/singleton.decorator';

@singleton
export class TranHistorySvr {
  /**
   * eth history
   */
  public async ethRecords(start: number, limit: number, moreParam: any) {
    start = start | 0;
    limit = limit | 0;
    let data = { start, limit, chain: jc.wallet.currentChain.id };
    Object.assign(data, moreParam);
    return records(data);
  }

  /**
   * token history
   */
  public async tokenRecords({
    address,
    tokenId,
    start,
    limit,
    moreParam,
  }: {
    address: string;
    tokenId?: string;
    start: number;
    limit: number;
    moreParam: any;
  }) {
    start = start | 0;
    limit = limit | 0;
    let data: any = {
      start,
      limit,
      chain: jc.wallet.currentChain.id,
      'details.address': address,
    };
    if (tokenId) {
      data['details.id'] = tokenId + '';
    }
    Object.assign(data, moreParam);
    return records(data);
  }
}
